# Automatically converted from i386 to RiscPC keycodes

# Linux-specific (and language-independent) keys
#
# This file describes function keys, console switching keys,
# keypad, cursor keys, and SysRq, ScrollLock, Pause
#
# It does not use the AltGr modifier, so that the user can opt
# to have both Alt keys produce the same effect.
# As a consequence, the Hex_* keys are missing, as are
#	control altgr keycode 102 = Boot
#	control altgr keycode  52 = Boot
#
# One culture-specific item that will be overridden in many keymaps
# is the KP_Period: many countries have a KP_Comma instead.
#
# One user-preference item will be the function of the Delete key.
#
# Old keyboards have 10 function keys, and keymaps have
# sometimes used shift+F1 = F11, and sometimes shift+F1 = F13.
# Here we assume an enhanced keyboard (with 12 function keys).
#
plain keycode   1 = F1
plain keycode   2 = F2
plain keycode   3 = F3
plain keycode   4 = F4
plain keycode   5 = F5
plain keycode   6 = F6
plain keycode   7 = F7
plain keycode   8 = F8
plain keycode   9 = F9
plain keycode  10 = F10
plain keycode  11 = F11
plain keycode  12 = F12
shift keycode   1 = F13
shift keycode   2 = F14
shift keycode   3 = F15
shift keycode   4 = F16
shift keycode   5 = F17
shift keycode   6 = F18
shift keycode   7 = F19
shift keycode   8 = F20
shift keycode   9 = F21
shift keycode  10 = F22
shift keycode  11 = F23
shift keycode  12 = F24
control keycode   1 = F25
control keycode   2 = F26
control keycode   3 = F27
control keycode   4 = F28
control keycode   5 = F29
control keycode   6 = F30
control keycode   7 = F31
control keycode   8 = F32
control keycode   9 = F33
control keycode  10 = F34
control keycode  11 = F35
control keycode  12 = F36
#
# The canonical assignment for F37-F48 uses
#	control shift keycode   1 = F37
# etc. If you want that, load linux-keys-extd.inc
#
# Both Alt+Fn and Control+Alt+Fn switch to Console n
# (in order to please Linux / dosemu / X).
# Here Consoles 1..12. For 13..24 load linux-keys-extd.inc
#
alt keycode   1 = Console_1
alt keycode   2 = Console_2
alt keycode   3 = Console_3
alt keycode   4 = Console_4
alt keycode   5 = Console_5
alt keycode   6 = Console_6
alt keycode   7 = Console_7
alt keycode   8 = Console_8
alt keycode   9 = Console_9
alt keycode  10 = Console_10
alt keycode  11 = Console_11
alt keycode  12 = Console_12
control alt keycode   1 = Console_1
control alt keycode   2 = Console_2
control alt keycode   3 = Console_3
control alt keycode   4 = Console_4
control alt keycode   5 = Console_5
control alt keycode   6 = Console_6
control alt keycode   7 = Console_7
control alt keycode   8 = Console_8
control alt keycode   9 = Console_9
control alt keycode  10 = Console_10
control alt keycode  11 = Console_11
control alt keycode  12 = Console_12

#
# Keypad keys
#
keycode  34 = Num_Lock
keycode  35 = KP_Divide
keycode  36 = KP_Multiply
keycode  58 = KP_Subtract
keycode  75 = KP_Add
keycode 103 = KP_Enter
#
keycode  55 = KP_7
keycode  56 = KP_8
keycode  57 = KP_9
keycode  72 = KP_4
keycode  73 = KP_5
keycode  74 = KP_6
keycode  90 = KP_1
keycode  91 = KP_2
keycode  92 = KP_3
keycode 101 = KP_0
#
keycode 102 = KP_Period			# or KP_Comma
control alt keycode 102 = Boot
#
alt keycode  55 = Ascii_7
alt keycode  56 = Ascii_8
alt keycode  57 = Ascii_9
alt keycode  72 = Ascii_4
alt keycode  73 = Ascii_5
alt keycode  74 = Ascii_6
alt keycode  90 = Ascii_1
alt keycode  91 = Ascii_2
alt keycode  92 = Ascii_3
alt keycode 101 = Ascii_0
#
# The four cursor keys
#
keycode  89 = Up
keycode  98 = Left
keycode 100 = Right
keycode  99 = Down
alt keycode  89 = KeyboardSignal
alt keycode  98 = Decr_Console
alt keycode 100 = Incr_Console
#
# The six edit keys
#
keycode  31 = Insert
keycode  32 = Home		# Find
keycode  33 = PageUp		# Prior
keycode  52 = Remove
keycode  53 = End		# Select
keycode  54 = PageDown		# Next
shift keycode  33 = Scroll_Backward
shift keycode  54 = Scroll_Forward
control	alt keycode  52 = Boot
#
# The three system keys
#
keycode 127 = Last_Console		# Alt+SysRq/PrintScrn
keycode  13 = Control_backslash		# SysRq/PrintScrn

plain   keycode  14 = Scroll_Lock
shift	keycode  14 = Show_Memory
control keycode  14 = Show_State
alt	keycode  14 = Show_Registers

keycode 127 = Break			# Ctrl+Break/Pause
keycode  15 = Pause			# Break/Pause

